---
# build the docker image for our gitpod from this dockerfile
image:
  file: .gitpod.dockerfile
# all init+before are run in prebuilds, and on workspace startup
tasks:
  - name: npm install
    init: |
      npm install
# extra extensions we share
vscode:
  extensions:
    - redhat.vscode-yaml
    - ms-azuretools.vscode-docker
    - ms-kubernetes-tools.vscode-kubernetes-tools
    - ms-vscode.makefile-tools
    - bungcip.better-toml
    - sleistner.vscode-fileutils
    - esbenp.prettier-vscode
    - darkriszty.markdown-table-prettify
    - VisualStudioExptTeam.vscodeintellicode

ports:
  - name: Zammad
    port: 8001
    onOpen: notify

  - name: Leafcutter Local
    port: 3001
    onOpen: notify

  - name: Leafcutter
    port: 8004
    onOpen: notify

  - name: Link
    port: 8003
    onOpen: notify

  - name: Link Local
    port: 3000
    onOpen: notify


  - name: Metamigo
    port: 8002
    onOpen: notify

  - name: Metamigo Local
    port: 2999
    onOpen: notify

  - name: Metamigo API
    port: 8004
    onOpen: notify

  - name: Zammad Postgres
    port: 5432
    onOpen: notify

  - name: Metamigo Postgres
    port: 5433
    onOpen: notify